Add users to a group
curl --request POST \
--url https://api.swarmd.ai/tenant-auth/v1/groups/{groupId}/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.swarmd.ai/tenant-auth/v1/groups/{groupId}/members"
payload = { "userIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api.swarmd.ai/tenant-auth/v1/groups/{groupId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"permissions": [
{}
],
"firstName": "<string>",
"lastName": "<string>",
"source": "<string>",
"groupIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignedAt": "2023-11-07T05:31:56Z",
"assignedBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"permissions": [
{}
],
"firstName": "<string>",
"lastName": "<string>",
"source": "<string>",
"groupIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}
]Groups
Add users to a group
Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | GROUPS | WRITE | GROUPS:WRITE |
POST
/
tenant-auth
/
v1
/
groups
/
{groupId}
/
members
Add users to a group
Authorizations
JWT token (USER, AGENT, or SERVICE auth)
Path Parameters
Body
application/json
⌘I
